curl --request POST \
--url https://api.cadanapay.com/v1/businesses/{businessId}/deposits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": {
"amount": 10000,
"currency": "USD"
},
"idempotencyKey": "b6ae5da9-6342-4a58-bd50-8564d68d3f7e",
"externalAccountId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"paymentMethod": "ach",
"suppressNotification": false
}
'{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
}Create a deposit to add funds to a business account
curl --request POST \
--url https://api.cadanapay.com/v1/businesses/{businessId}/deposits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": {
"amount": 10000,
"currency": "USD"
},
"idempotencyKey": "b6ae5da9-6342-4a58-bd50-8564d68d3f7e",
"externalAccountId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"paymentMethod": "ach",
"suppressNotification": false
}
'{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
The unique identifier for the business
Create a deposit to add funds to a business account
Show child attributes
Unique string to prevent dedupe
"b6ae5da9-6342-4a58-bd50-8564d68d3f7e"
unique identifier of the external account to pull funds from, required for an ach direct-debit
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
Payment method for the deposit
ach "ach"
Whether to suppress email notifications (optional, defaults to false)
create business deposit response
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"